<?php
/*
Plugin Name: Display Text File
Plugin URI: 
Description: A simple wordpress plugin to display a text file using a shortcode.
Version: 0.2
Author: 
Author URI: 
License: GPL
*/

DEFINE("DTF_FILE", "");
DEFINE("DTF_REVERSE","FALSE");

//tell wordpress to register the shortcode
add_shortcode("display-text-file", "DTF_handler");

function DTF_handler($text) {
  $text=shortcode_atts(array("path" => DTF_FILE, "reverse" => DTF_REVERSE), $text);
  $DTF_text = DTF_function($text);
  return $DTF_text;
}

function DTF_function ($text) {
$file = $_SERVER['DOCUMENT_ROOT'] .$text["path"]; 
$contents = file($file);
$reverse = $text["reverse"];

// this part should only be executed if reverse="TRUE".. 
if ($reverse == "TRUE")
{
	$contents2 = Array_reverse($contents);
	$contents = $contents2;
}

$string = implode($contents);
	
$DTF_text = '<div style="clear:both;">'.nl2br($string).'</div>';
return $DTF_text;
}
?>